import request from '@/utils/request'

// 分页查询看看作品
export function getLookList(query) {
  return request({
    url: 'backendApi/look/list',
    method: 'get',
    params: query,
  })
}

// 查询作品详情
export function getLookInfo(id) {
  return request({
    url: 'backendApi/look/info/' + id,
    method: 'get',
  })
}

// 更新状态
export function updateLookStatus(id, status) {
  return request({
    url: 'backendApi/look/updateStatus',
    method: 'post',
    data: {
      id,
      status,
    },
  })
}
